net.sf.jasperreports.components

## Class ComponentsExtensionsRegistryFactory

- java.lang.Object
- - net.sf.jasperreports.components.ComponentsExtensionsRegistryFactory

- All Implemented Interfaces:
    ExtensionsRegistryFactory

      public class ComponentsExtensionsRegistryFactory
      extends java.lang.Object
      implements ExtensionsRegistryFactory

  Extension registry factory that includes built-in component element implementations.

  This registry factory is registered by default in JasperReports.

  Version:
    $Id: ComponentsExtensionsRegistryFactory.java 6436 2013-08-28 15:16:55Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `ListComponent`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BARBECUE_COMPONENT_NAME`
    `static java.util.List<java.lang.String>` | `BARCODE4J_COMPONENT_NAMES`
    `static java.lang.String` | `ICONLABEL_COMPONENT_NAME`
    `static java.lang.String` | `LIST_COMPONENT_NAME`
    `static java.lang.String` | `MAP_COMPONENT_NAME`
    `static java.lang.String` | `NAMESPACE`
    `static java.lang.String` | `SORT_COMPONENT_NAME`
    `static java.lang.String` | `SPIDERCHART_COMPONENT_NAME`
    `static java.lang.String` | `TABLE_COMPONENT_NAME`
    `static java.lang.String` | `XSD_LOCATION`
    `static java.lang.String` | `XSD_RESOURCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentsExtensionsRegistryFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionsRegistry` | `createRegistry(java.lang.String registryId, JRPropertiesMap properties)` Instantiates an extensions registry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      See Also:
        Constant Field Values

    - #### XSD_LOCATION

          public static final java.lang.String XSD_LOCATION

      See Also:
        Constant Field Values

    - #### XSD_RESOURCE

          public static final java.lang.String XSD_RESOURCE

      See Also:
        Constant Field Values

    - #### LIST_COMPONENT_NAME

          public static final java.lang.String LIST_COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### TABLE_COMPONENT_NAME

          public static final java.lang.String TABLE_COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### BARBECUE_COMPONENT_NAME

          public static final java.lang.String BARBECUE_COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### BARCODE4J_COMPONENT_NAMES

          public static final java.util.List<java.lang.String> BARCODE4J_COMPONENT_NAMES

    - #### SPIDERCHART_COMPONENT_NAME

          public static final java.lang.String SPIDERCHART_COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### MAP_COMPONENT_NAME

          public static final java.lang.String MAP_COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### SORT_COMPONENT_NAME

          public static final java.lang.String SORT_COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### ICONLABEL_COMPONENT_NAME

          public static final java.lang.String ICONLABEL_COMPONENT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentsExtensionsRegistryFactory

          public ComponentsExtensionsRegistryFactory()

  - ### Method Detail

    - #### createRegistry

          public ExtensionsRegistry createRegistry(java.lang.String registryId,
                                          JRPropertiesMap properties)

      Description copied from interface: `ExtensionsRegistryFactory`
      Instantiates an extensions registry.
      Specified by:
        `createRegistry` in interface `ExtensionsRegistryFactory`
      Parameters:
        `registryId` - the ID of the registry to instantiate. The ID can be used to identify a set of properties to be used when instantiating the registry.
        `properties` - the map of properties that can be used to configure the registry instantiation process
      Returns:
        an extensions registry
      See Also:
        `DefaultExtensionsRegistry.PROPERTY_REGISTRY_PREFIX`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com